Bug 141913 - delayed death in snmptrapd
delayed death in snmptrapd
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: net-snmp (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-05 18:11 EST by Curtis Doty
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-01 07:22:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Curtis Doty 2004-12-05 18:11:16 EST
Entering an invalid traphandle program doesn't immediately fail. Nor
does it fail on the first trap received:
pipe([12, 13])                          = 0
pipe([14, 15])                          = 0
fork()                                  = 16528
close(12)                               = 0
close(15)                               = 0
write(13, "rtr\n10.10.10.10\nRFC1213-MIB::s"..., 327) = 327
close(13)                               = 0
waitpid(16528, [{WIFEXITED(s) && WEXITSTATUS(s) == 1}], 0) = 16528
close(14)                               = 0

But eventually snmptrapd will die:
pipe([12, 13])                          = 0
pipe([14, 15])                          = 0
fork()                                  = 16529
--- SIGCHLD (Child exited) @ 0 (0) ---
close(12)                               = 0
close(15)                               = 0
write(13, "rtr\n10.10.10.10\nRFC1213-MIB::s"..., 327) = -1 EPIPE
(Broken pipe)
--- SIGPIPE (Broken pipe) @ 0 (0) ---
+++ killed by SIGPIPE +++

Steps to reproduce: I tried entering a handler that normally could be
found via the PATH.

Workaround: Explicitly enter the full path of the trap handler. And
pray that your handler script doesn't b0rk or it will take snmptrapd
with it.
Comment 1 Radek Vokal 2004-12-09 08:23:49 EST
Which version of net-snmp are you using? 
Comment 2 Radek Vokal 2005-07-01 07:22:38 EDT
If this is still present in Fedora Core 3/4/devel please reopen. 

Note You need to log in before you can comment on or make changes to this bug.